#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pytest-djangoapp

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs/source $(CURDIR)/debian/python-pytest-djangoapp-doc/usr/share/doc/python-pytest-djangoapp-doc/html
endif

execute_after_dh_clean:
	rm -rf docs/.build/
